Get post or reel (v1)
Get a post or reel by url or code: caption, media files, like, comment and play counts, owner, tagged users and location. A removed or unavailable post returns data: null.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
url?string
Post or reel URL (/p/, /reel/, /reels/ or /tv/). Send exactly one of url or code.
Length
length <= 500code?string
Shortcode from the post URL, DZpQwxqimz2 in instagram.com/p/DZpQwxqimz2/. Send exactly one of url or code.
Length
length <= 50curl -X GET "https://example.com/v1/instagram/media" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "pk": "string", "code": "string", "media_type": 0, "taken_at": 0, "like_count": 0, "comment_count": 0, "user": { "property1": null, "property2": null }, "property1": null, "property2": null }, "details": { "reason": "string", "message": "string" }}